package com.sckw.slope.detection.dao.mysql;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sckw.slope.detection.model.dos.mysql.KwsMountainCompany;
import org.apache.ibatis.annotations.Mapper;

@Mapper
@DS("mysql")
public interface KwsMountainCompanyMapper extends BaseMapper<KwsMountainCompany> {
    int deleteByPrimaryKey(Long id);

    int insert(KwsMountainCompany record);

    int insertSelective(KwsMountainCompany record);

    KwsMountainCompany selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(KwsMountainCompany record);

    int updateByPrimaryKey(KwsMountainCompany record);
}